package com.molin.study_class.controller;

import com.molin.study_class.model.dto.ResponseObject;
import com.molin.study_class.model.param.CashParam;
import com.molin.study_class.model.param.LiabilityParam;
import com.molin.study_class.model.param.ProfitParam;
import com.molin.study_class.service.FileMakeService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author David
 * @date 2025年06月11日
 * @description:
 */
@RestController
@RequestMapping("fileMake")
@Slf4j
public class FiscalMakeController {

    @Autowired
    private FileMakeService fileMakeService;


    @PostMapping("/createCash")
    public ResponseObject createCash(@RequestBody CashParam param) {
        ResponseObject url = fileMakeService.createCash(param);
        return url;
    }

    @PostMapping("/createLiability")
    public ResponseObject createLiability(@RequestBody LiabilityParam param) {
        ResponseObject url = fileMakeService.createLiability(param);
        return url;
    }

    /**
     * 创建利润表
     * @param param
     * @return
     */
    @PostMapping("/createProfit")
    public ResponseObject createProfit(@RequestBody ProfitParam param) {
        ResponseObject url = fileMakeService.createProfit(param);
        return url;
    }







}
