package com.molin.study_class.model.dto;


import lombok.AllArgsConstructor;
import lombok.Data;

import java.io.Serializable;


/**
 * @author David
 * @version 1.0
 * @description:
 * @since 2023/11/13
 */
@Data
@AllArgsConstructor
public class ResponseObject<T> implements Serializable {
    // ("返回码： SUCCESS 成功  FAILURE 操作失败 ")
    private String code;
    // ("返回信息，失败会返回失败的原因")
    private String message;
    // ("返回的数据对象")
    private T data;

    public static ResponseObject success(Object data) {
        return new ResponseObject<>(ResponseCode.SUCCESS, ResponseCode.SUCCESS_MESSAGE, data);
    }

    public static ResponseObject success(String msg, Object data) {
        return new ResponseObject<>(ResponseCode.SUCCESS, msg, data);
    }

    public static ResponseObject success() {
        return new ResponseObject<>(ResponseCode.SUCCESS, ResponseCode.SUCCESS_MESSAGE, "");
    }

    public static ResponseObject fail() {
        return new ResponseObject<>(ResponseCode.FAILURE, ResponseCode.FAIL_MESSAGE, "");
    }

    public static ResponseObject fail(String responseCode, String message, Object data) {
        return new ResponseObject<>(responseCode, message, data);
    }

    public static ResponseObject fail(String message) {
        return new ResponseObject<>(ResponseCode.FAILURE, message, "");
    }
}
