package com.molin.study_class.model.param;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.List;

/**
 * @author David
 * @date 2025年06月11日
 * @description: 资产负债表
 */
@Data
public class LiabilityParam {

    @JSONField(name = "table")
    private LiabilityTable table;

    @JSONField(name = "localYear")
    private String localYear = "";

    @JSONField(name = "fileName")
    private String fileName = "";


    @Data
    public static class LiabilityTable {
        @JSONField(name = "taxpayerId")
        private String taxpayerId = "";
        @JSONField(name = "taxpayerName")
        private String taxpayerName = "";
        @JSONField(name = "periodStart")
        private String periodStart = "";
        @JSONField(name = "periodEnd")
        private String periodEnd = "";
        @JSONField(name = "rows")
        private List<LiabilityRow> rows;

    }

    @Data
    public static class LiabilityRow {
        @JSONField(name = "item")
        @ExcelProperty("资产")
        private String item = "";

        @JSONField(name = "rowNum")
        @ExcelProperty("行次")
        private String rowNum = "";

        @JSONField(name = "endAmount")
        @ExcelProperty("期末余额")
        private String endAmount = "";

        @JSONField(name = "startAmount")
        @ExcelProperty("年初余额")
        private String startAmount = "";



        @JSONField(name = "liab")
        @ExcelProperty("负载和所有者权益")
        private String liab = "";

        @JSONField(name = "liabRowNum")
        @ExcelProperty("行次")
        private String liabRowNum = "";

        @JSONField(name = "liabEndAmount")
        @ExcelProperty("期末余额")
        private String liabEndAmount = "";

        @JSONField(name = "liabStartAmount")
        @ExcelProperty("年初余额")
        private String liabStartAmount = "";

    }





}
