package com.molin.study_class.utils;

import com.alibaba.excel.EasyExcel;
import com.molin.study_class.model.param.MeetAllParam;
import com.molin.study_class.model.param.MeetParam;
import com.molin.study_class.model.vo.MeetAllExportVO;
import org.springframework.beans.BeanUtils;
import org.springframework.core.io.ByteArrayResource;
import org.springframework.web.multipart.MultipartFile;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.net.URLEncoder;
import java.util.Collections;
import java.util.List;

/**
 * @author David
 * @date 2025年06月07日
 * @description:
 */
public class ExcelUtils {


    public static void createMeetExcel(MeetAllParam param) {
        // 获取桌面路径
//        String desktopPath = System.getProperty("user.home") + "/Desktop/meet_data.xlsx";
        String desktopPath = "D:\\meet_data.xlsx";

        List<MeetParam> data = param.getData();

        // 执行导出
        EasyExcel.write(desktopPath, MeetParam.class)
                .autoCloseStream(true)
                .sheet("会议数据")
                .doWrite(data);
    }

    // 完整修正版本（生产环境推荐）
    public static MultipartFile createMeetExcelFile(MeetAllParam param) throws IOException {
        try (ByteArrayOutputStream outputStream = new ByteArrayOutputStream()) {
            // 将数据写入内存流
            EasyExcel.write(outputStream, MeetParam.class)
                    .autoCloseStream(true)
                    .sheet("课表")
                    .doWrite(param.getData());

            // 转换为字节数组
            byte[] excelBytes = outputStream.toByteArray();

            // 创建自定义 MultipartFile 实现
            return new CommonsMultipartFile(
                    new ByteArrayResource(excelBytes),
                    URLEncoder.encode("会议数据.xlsx", "UTF-8"),
                    "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
            );
        }
    }


//    public static void main(String[] args) {
//        MeetAllParam param = new MeetAllParam();
//        param.setCode(200);
//        param.setMsg("操作成功");
//
//        MeetParam meetParam = new MeetParam();
//        meetParam.setMeetId(1001L);
//        meetParam.setMeetName("项目启动会");
//        meetParam.setRoomName("101会议室");
//        param.setData(meetParam);
//
//        MeetExcelExporter.exportToDesktop(param);
//    }

}
